"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProcessScheduleExecution = exports.ScheduleExecution = exports.ScheduleData = exports.ScheduleSummary = void 0;
var ScheduleSummary = (function () {
    function ScheduleSummary() {
        this.vcc = null;
        this.id = null;
        this.batchType = null;
        this.frequency = null;
        this.startDate = null;
        this.endDate = null;
        this.firstExecutionDate = null;
        this.lastExecutionDate = null;
        this.total = null;
        this.preparing = null;
        this.running = null;
        this.cancelled = null;
        this.finished = null;
        this.succeed = null;
        this.error = null;
        this.failed = null;
        this.lastExecutionStatus = null;
        this.createdByUserId = null;
        this.createdDate = null;
    }
    return ScheduleSummary;
}());
exports.ScheduleSummary = ScheduleSummary;
var ScheduleData = (function () {
    function ScheduleData() {
        this.vcc = null;
        this.id = null;
        this.batchType = null;
        this.frequency = null;
        this.weekDay = null;
        this.monthDay = null;
        this.daysInterval = null;
        this.hoursInterval = null;
        this.executionHour = null;
        this.firstExecutionDate = null;
        this.lastExecutionDate = null;
        this.maxLastExecutionDate = null;
        this.executionDelay = 0;
        this.startDate = null;
        this.endDate = null;
        this.executionList = [];
        this.batchData = null;
        this.processFiltersId = null;
        this.status = null;
        this.createdByUserId = null;
    }
    return ScheduleData;
}());
exports.ScheduleData = ScheduleData;
var ScheduleExecution = (function () {
    function ScheduleExecution() {
        this.vcc = null;
        this.id = null;
        this.batchScheduleId = null;
        this.batchId = null;
        this.executionDate = null;
        this.order = null;
        this.status = null;
        this.createdByUserId = null;
        this.createdDate = null;
        this.lastModifiedDate = null;
        this.lastModifiedByUserId = null;
    }
    return ScheduleExecution;
}());
exports.ScheduleExecution = ScheduleExecution;
var ProcessScheduleExecution = (function (_super) {
    __extends(ProcessScheduleExecution, _super);
    function ProcessScheduleExecution() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = null;
        _this.description = null;
        _this.clientId = null;
        _this.percentage = null;
        _this.statusDescription = null;
        _this.status = null;
        _this.startDate = null;
        _this.endDate = null;
        _this.minDurationTime = null;
        _this.maxDurationTime = null;
        _this.language = null;
        _this.environment = null;
        return _this;
    }
    return ProcessScheduleExecution;
}(ScheduleExecution));
exports.ProcessScheduleExecution = ProcessScheduleExecution;
