"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_INTERACTION_FORMAT = exports.VCC_TYPE = exports.INCONCERT_APPS_BASE_URL = exports.QUALITY_AUDIO_BASE_URL = exports.RASA_AVAILABLE_PORTS = exports.RASA_ROOT_FOLDER = exports.RASA_PASSWORD = exports.RASA_USER = exports.RASA_PORT = exports.RASA_IP = exports.LUIS_URL_STUDY = exports.LUIS_URL_ACCOUNTS = exports.LUIS_URL = exports.COGNITIVE_SERVICES_RASA_AVAILABLE_LANGUAGES = exports.COGNITIVE_SERVICES_RASA_CHARS_PER_PHRASE = exports.COGNITIVE_SERVICES_LUIS_AVAILABLE_LANGUAGES = exports.COGNITIVE_SERVICES_LUIS_CHARS_PER_PHRASE = exports.COGNITIVE_SERVICES_COGNITIVE_MOTORS = exports.REALM_PASSWORD = exports.REALM_USER_NAME = exports.STUDY_ID_LENGTH = exports.IDATHA_QUERY_ID_EXPIRATION = exports.FTP_CONNECTION_TIMEOUT = exports.TRANSCRIPTION_AVAILABLE_LANGUAGES = exports.IDATHA_TEST_REALM = exports.IDATHA_SSH_PORT = exports.IDATHA_HTTP_PORT = exports.IDATHA_IP = exports.IDATHA_PASSWORD = exports.IDATHA_USER = exports.SPEECHMATICS_PORT = exports.SPEECHMATICS_IP = exports.ENTITY_ACCEPTANCE = exports.INTENT_ACCEPTANCE = exports.RETRY_COGNITIVE_ANALYSIS = exports.RATE_RECURSIVE_COGNITIVE_ANALYSIS = exports.RATIO_COGNITIVE_ANALYSIS = exports.RETRY_SEMANTIC_QUERY = exports.RATE_RECURSIVE_SEMANTIC_QUERY = exports.RATIO_SEMANTIC_QUERY = exports.RATE_RECURSIVE_SEMANTIC_ANALYSIS = exports.NEXT_EXECUTION_TIME_SEMANTIC_ANALYSIS = exports.RETRY_SEMANTIC_ANALYSIS = exports.SLEEP_SEMANTIC_ANALYSIS = exports.RATIO_SEMANTIC_ANALYSIS = exports.RATE_RECURSIVE_DIARIZATION_ANALYSIS = exports.RETRY_DIARIZATION_ANALYSIS = exports.SLEEP_DIARIZATION_ANALYSIS = exports.RATIO_DIARIZATION_ANALYSIS = exports.RATE_RECURSIVE_TRANSCRIPTION = exports.NEXT_EXECUTION_TIME_TRANSCRIPTION = exports.RETRY_TRANSCRIPTION = exports.SLEEP_TRANSCRIPTION = exports.RATIO_TRANSCRIPTION = exports.CONVERTER_FTP_DOWNLOAD_FOLDER_DIARIZATION_CONVERT = exports.CONVERTER_FTP_UPLOAD_FOLDER_DIARIZATION_CONVERT = exports.CONVERTER_FTP_ROOT_FOLDER_DIARIZATION_CONVERT = exports.CONVERTER_FTP_CONVERTER_APP_PATH = exports.CONVERTER_FTP_PASSWORD_DIARIZATION_CONVERT = exports.CONVERTER_FTP_USER_DIARIZATION_CONVERT = exports.CONVERTER_FTP_PORT_DIARIZATION_CONVERT = exports.CONVERTER_FTP_IP_DIARIZATION_CONVERT = exports.RATE_RECURSIVE_DIARIZATION_CONVERT = exports.RETRY_DIARIZATION_CONVERT = exports.SLEEP_DIARIZATION_CONVERT = exports.RATIO_DIARIZATION_CONVERT = exports.FFMPEG_FOLDER_PATH = exports.MEDIAINFO_FOLDER_PATH = exports.RATE_RECURSIVE_AUDIO_TRANSFER = exports.RETRY_AUDIO_TRANSFER = exports.SLEEP_AUDIO_TRANSFER = exports.RATIO_AUDIO_TRANSFER = exports.RATE_RECURSIVE_PROCESS = exports.RATIO_PROCESS = exports.RETRY_I6_UPDATE = exports.RATE_RECURSIVE_I6_UPDATE = exports.RATIO_I6_UPDATE = exports.RETRY_BATCH_SCHEDULE = exports.RATE_RECURSIVE_BATCH_SCHEDULE = exports.SLEEP_BATCH_SCHEDULE = exports.RATIO_BATCH_SCHEDULE = exports.RATIO_SUPERVISOR = exports.PERSISTENCE_AUDIO_TEMP = exports.PERSISTENCE_HISTORIC = exports.PERSISTENCE = exports.AUDIO_FORMAT = exports.NLU_FOLDER_TEMP_PATH = exports.NLU_TEMP_PATH = exports.NLU_TEMP_FOLDER = exports.NLU_TEMP_PREFIX = exports.NLU_FOLDER = exports.PROCESS_TEMP_PATH = exports.TEMP_PATH = exports.PROCESS_PATH = exports.PROCESS_TEMP_FOLDER = exports.PROCESS_TEMP_PREFIX = exports.PROCESS_FOLDER = exports.STATIC_PY_FOLDER_PATH = exports.STATIC_EXE_FOLDER_PATH = exports.STATIC_FOLDER_PATH = exports.STATIC_PY_FOLDER = exports.STATIC_EXE_FOLDER = exports.STATIC_FOLDER = exports.QUERY_FOLDER = exports.SEMANCTIC_ANALYSIS_VIEW_FOLDER = exports.COGNITIVE_ANALYSIS_FOLDER = exports.SEMANCTIC_ANALYSIS_FOLDER = exports.DIARIZATION_FOLDER = exports.TRANSCRIPTION_FOLDER = exports.TEXT_FOLDER = exports.PATH_FOLDER_TEMP_NLU = exports.PATH_FOLDER_TEMP_AUDIO = exports.PATH_FOLDER_PROCESS_AUDIO_PLAY = exports.PATH_FOLDER_PROCESS_AUDIO = void 0;
var path = require("path");
var integration_config_1 = require("./integration.config");
var mssql_config_1 = require("./mssql.config");
exports.PATH_FOLDER_PROCESS_AUDIO = path.resolve(__dirname, '..', 'audio').replace(/\\/g, '/');
exports.PATH_FOLDER_PROCESS_AUDIO_PLAY = path.resolve(__dirname, '../../', 'server/audio').replace(/\\/g, '/');
exports.PATH_FOLDER_TEMP_AUDIO = path.resolve(__dirname, '..', 'temp-audio').replace(/\\/g, '/');
exports.PATH_FOLDER_TEMP_NLU = path.resolve(__dirname, '..', 'temp-nlu').replace(/\\/g, '/');
exports.TEXT_FOLDER = path.resolve(__dirname, '..', 'text').replace(/\\/g, '/');
exports.TRANSCRIPTION_FOLDER = path.resolve(__dirname, '..', 'transcriptions').replace(/\\/g, '/');
exports.DIARIZATION_FOLDER = path.resolve(__dirname, '..', 'diarization').replace(/\\/g, '/');
exports.SEMANCTIC_ANALYSIS_FOLDER = path.resolve(__dirname, '..', 'semantic-analysis').replace(/\\/g, '/');
exports.COGNITIVE_ANALYSIS_FOLDER = path.resolve(__dirname, '..', 'cognitive-analysis').replace(/\\/g, '/');
exports.SEMANCTIC_ANALYSIS_VIEW_FOLDER = path.resolve(__dirname, '..', 'semantic-analysis-view').replace(/\\/g, '/');
exports.QUERY_FOLDER = path.resolve(__dirname, '..', 'query').replace(/\\/g, '/');
exports.STATIC_FOLDER = 'static';
exports.STATIC_EXE_FOLDER = 'exe';
exports.STATIC_PY_FOLDER = 'py';
exports.STATIC_FOLDER_PATH = path.resolve(__dirname, '..', exports.STATIC_FOLDER);
exports.STATIC_EXE_FOLDER_PATH = path.resolve(exports.STATIC_FOLDER_PATH, exports.STATIC_EXE_FOLDER);
exports.STATIC_PY_FOLDER_PATH = path.resolve(exports.STATIC_FOLDER_PATH, exports.STATIC_PY_FOLDER);
exports.PROCESS_FOLDER = 'process';
exports.PROCESS_TEMP_PREFIX = 'temp';
exports.PROCESS_TEMP_FOLDER = 'temp';
exports.PROCESS_PATH = path.resolve(__dirname, '..', exports.PROCESS_FOLDER);
exports.TEMP_PATH = path.resolve(__dirname, '..', exports.PROCESS_TEMP_FOLDER);
exports.PROCESS_TEMP_PATH = path.resolve(exports.TEMP_PATH, exports.PROCESS_FOLDER);
exports.NLU_FOLDER = 'nlu';
exports.NLU_TEMP_PREFIX = 'temp';
exports.NLU_TEMP_FOLDER = 'temp';
exports.NLU_TEMP_PATH = path.resolve(__dirname, '..', exports.NLU_TEMP_FOLDER);
exports.NLU_FOLDER_TEMP_PATH = path.resolve(exports.TEMP_PATH, exports.NLU_FOLDER);
exports.AUDIO_FORMAT = {
    'audio/mpeg': 'mp3',
    'audio/wav': 'wav',
    'audio/x-wav': 'wav',
};
exports.PERSISTENCE = 30 * 24 * 60 * 60;
exports.PERSISTENCE_HISTORIC = 360 * 24 * 60 * 60;
exports.PERSISTENCE_AUDIO_TEMP = 2 * 24 * 60 * 60;
exports.RATIO_SUPERVISOR = 0;
exports.RATIO_BATCH_SCHEDULE = 5;
exports.SLEEP_BATCH_SCHEDULE = 5;
exports.RATE_RECURSIVE_BATCH_SCHEDULE = 5;
exports.RETRY_BATCH_SCHEDULE = 15;
exports.RATIO_I6_UPDATE = 10;
exports.RATE_RECURSIVE_I6_UPDATE = 5;
exports.RETRY_I6_UPDATE = 5;
exports.RATIO_PROCESS = 3;
exports.RATE_RECURSIVE_PROCESS = 4;
exports.RATIO_AUDIO_TRANSFER = 20;
exports.SLEEP_AUDIO_TRANSFER = 5;
exports.RETRY_AUDIO_TRANSFER = 3;
exports.RATE_RECURSIVE_AUDIO_TRANSFER = 4;
exports.MEDIAINFO_FOLDER_PATH = '';
exports.FFMPEG_FOLDER_PATH = '';
exports.RATIO_DIARIZATION_CONVERT = 5;
exports.SLEEP_DIARIZATION_CONVERT = 5;
exports.RETRY_DIARIZATION_CONVERT = 10;
exports.RATE_RECURSIVE_DIARIZATION_CONVERT = 4;
exports.CONVERTER_FTP_IP_DIARIZATION_CONVERT = mssql_config_1.MSSQL_HOST;
exports.CONVERTER_FTP_PORT_DIARIZATION_CONVERT = '22';
exports.CONVERTER_FTP_USER_DIARIZATION_CONVERT = 'ftp-volcado';
exports.CONVERTER_FTP_PASSWORD_DIARIZATION_CONVERT = 'kRQliIac6CtUrK';
exports.CONVERTER_FTP_CONVERTER_APP_PATH = 'C:/inConcert/inConcertDiarization';
exports.CONVERTER_FTP_ROOT_FOLDER_DIARIZATION_CONVERT = 'G:/Ftp_Volcado/Repositorio';
exports.CONVERTER_FTP_UPLOAD_FOLDER_DIARIZATION_CONVERT = '/diarization/input';
exports.CONVERTER_FTP_DOWNLOAD_FOLDER_DIARIZATION_CONVERT = '/diarization/output';
exports.RATIO_TRANSCRIPTION = 5;
exports.SLEEP_TRANSCRIPTION = 5;
exports.RETRY_TRANSCRIPTION = 100;
exports.NEXT_EXECUTION_TIME_TRANSCRIPTION = 120000;
exports.RATE_RECURSIVE_TRANSCRIPTION = 4;
exports.RATIO_DIARIZATION_ANALYSIS = 5;
exports.SLEEP_DIARIZATION_ANALYSIS = 5;
exports.RETRY_DIARIZATION_ANALYSIS = 10;
exports.RATE_RECURSIVE_DIARIZATION_ANALYSIS = 4;
exports.RATIO_SEMANTIC_ANALYSIS = 5;
exports.SLEEP_SEMANTIC_ANALYSIS = 5;
exports.RETRY_SEMANTIC_ANALYSIS = 10;
exports.NEXT_EXECUTION_TIME_SEMANTIC_ANALYSIS = 120000;
exports.RATE_RECURSIVE_SEMANTIC_ANALYSIS = 4;
exports.RATIO_SEMANTIC_QUERY = 3;
exports.RATE_RECURSIVE_SEMANTIC_QUERY = 4;
exports.RETRY_SEMANTIC_QUERY = 3;
exports.RATIO_COGNITIVE_ANALYSIS = 3;
exports.RATE_RECURSIVE_COGNITIVE_ANALYSIS = 3;
exports.RETRY_COGNITIVE_ANALYSIS = 10;
exports.INTENT_ACCEPTANCE = 0.5;
exports.ENTITY_ACCEPTANCE = 0.5;
exports.SPEECHMATICS_IP = '172.16.219.3';
exports.SPEECHMATICS_PORT = '8082';
exports.IDATHA_USER = 'admon';
exports.IDATHA_PASSWORD = 'HtM37WFwV37E6fy4';
exports.IDATHA_IP = '38.132.204.106';
exports.IDATHA_HTTP_PORT = '9201';
exports.IDATHA_SSH_PORT = '2224';
exports.IDATHA_TEST_REALM = '1av55qsspk';
exports.TRANSCRIPTION_AVAILABLE_LANGUAGES = ['en', 'fr', 'pt', 'es'];
exports.FTP_CONNECTION_TIMEOUT = 30000;
exports.IDATHA_QUERY_ID_EXPIRATION = 58;
exports.STUDY_ID_LENGTH = 200;
exports.REALM_USER_NAME = 'user_speech';
exports.REALM_PASSWORD = 'inc0nc3rt2019';
exports.COGNITIVE_SERVICES_COGNITIVE_MOTORS = ['LUIS', 'RASA'];
exports.COGNITIVE_SERVICES_LUIS_CHARS_PER_PHRASE = 500;
exports.COGNITIVE_SERVICES_LUIS_AVAILABLE_LANGUAGES = ['en', 'fr', 'pt', 'es'];
exports.COGNITIVE_SERVICES_RASA_CHARS_PER_PHRASE = 1000;
exports.COGNITIVE_SERVICES_RASA_AVAILABLE_LANGUAGES = ['en', 'fr', 'pt', 'es'];
exports.LUIS_URL = 'api.cognitive.microsoft.com/luis/api/v2.0/apps';
exports.LUIS_URL_ACCOUNTS = 'api.cognitive.microsoft.com/luis/api/v2.0/azureaccounts';
exports.LUIS_URL_STUDY = 'api.cognitive.microsoft.com/luis/v2.0/apps';
exports.RASA_IP = '10.0.0.6';
exports.RASA_PORT = '2220';
exports.RASA_USER = 'admon';
exports.RASA_PASSWORD = 'HtM37WFwV37E6fy4';
exports.RASA_ROOT_FOLDER = '/home/admon/';
exports.RASA_AVAILABLE_PORTS = '5000..5025';
exports.QUALITY_AUDIO_BASE_URL = process.env.QUALITY_AUDIO_URL ? process.env.QUALITY_AUDIO_URL : 'http://' + integration_config_1.IP_MW + ':' + integration_config_1.PORT_MW + '/inconcert/apps/mediaserver/action/startStream/repository/';
exports.INCONCERT_APPS_BASE_URL = 'http://38.127.113.216:8082/inconcert/apps/';
exports.VCC_TYPE = {
    'TYPE_ALLEGRO': 'ALLEGRO',
    'TYPE_OCC': 'OCC',
    'TYPE_I6': 'I6',
    'TYPE_OTHER': 'OTHER'
};
exports.DEFAULT_INTERACTION_FORMAT = ['mp3', 'wav'];
